package com.ruoyi.system.service;

import com.ruoyi.system.domain.Apply;

import java.util.List;

/**
 * 开通申请Service接口
 * 
 * @author ruoyi
 * @date 2022-10-26
 */
public interface IApplyService 
{
    /**
     * 查询开通申请
     * 
     * @param applyId 开通申请ID
     * @return 开通申请
     */
    public Apply selectApplyById(Long applyId);

    /**
     * 查询开通申请列表
     * 
     * @param apply 开通申请
     * @return 开通申请集合
     */
    public List<Apply> selectApplyList(Apply apply);

    /**
     * 新增开通申请
     * 
     * @param apply 开通申请
     * @return 结果
     */
    public int insertApply(Apply apply);

    /**
     * 修改开通申请
     * 
     * @param apply 开通申请
     * @return 结果
     */
    public int updateApply(Apply apply);

    /**
     * 批量删除开通申请
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteApplyByIds(String ids);

    /**
     * 删除开通申请信息
     * 
     * @param applyId 开通申请ID
     * @return 结果
     */
    public int deleteApplyById(Long applyId);
}
